Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.rdbmdl
Interface SchemaElement

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, Element, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  NamedColumnSet, Table

    public interface SchemaElement

extends NamedElement

A representation of the model object 'Schema Element'.

The following features are supported:

- `Owner`

See Also:
  `RdbmdlPackage.getSchemaElement()`

Method Summary
`java.lang.String` | `getOwner()` Returns the value of the 'Owner' attribute
`void` | `setOwner(java.lang.String value)` Sets the value of the '`Owner`' attribute

Methods inherited from interface it.csi.mddtools.rdbmdl.NamedElement
`getName, getUid, setName, setUid`

Methods inherited from interface it.csi.mddtools.rdbmdl.Element
`getParent, setParent`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOwner

    java.lang.String getOwner()

  Returns the value of the 'Owner' attribute.

  If the meaning of the 'Owner' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' attribute.
  See Also:
    `setOwner(String)`, `RdbmdlPackage.getSchemaElement_Owner()`

### setOwner

    void setOwner(java.lang.String value)

  Sets the value of the '`Owner`' attribute.

  Parameters:
    `value` - the new value of the 'Owner' attribute.
  See Also:
    `getOwner()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD